get files="C:\BiH\MICS3\hl.sav".

weight by hhweight.

select if (hl5 >= 0 and hl5 <= 7).


if (HL5 <= 4) t04 = 1.
compute t07 = 1.

if (HL5 <= 4) total = 1.
variable label total "0-4".
value label total 1 "".

aggregate outfile = 'C:\BiH\MICS3\tmp1.sav'
 /break = hl5
 /tt07 = sum(t07)
 /tt04 = sum(t04).

aggregate outfile = 'C:\BiH\MICS3\tmp2.sav'
  /break  = total
  /tt07 = sum(t07)
  /tt04 = sum(t04).

get file = 'C:\BiH\MICS3\tmp1.sav'.
add files
  /file = *
  /file = 'C:\BiH\MICS3\tmp2.sav'.

sort cases by hl5 total.
save out="C:\BiH\MICS3\tmp1.sav".

get files="C:\BiH\MICS3\hl.sav"
 /keep HH1 HH2 HL1 HL5 hhweight
 /rename (HL1=LN).
sort cases hh1 hh2 ln.
save out="C:\BiH\MICS3\tmp1c.sav".


get file="C:\BiH\MICS3\ch.sav".

match files 
 /file=*
 /table='C:\BiH\MICS3\tmp1c.sav'
 /by HH1 HH2 ln.

select if (uf9 = 1).

weight by hhweight.

compute t04i = 0.
compute t04i = 1.

compute total  = 1.
variable labels total "0-4".
value labels total 1 "".

aggregate outfile = 'C:\BiH\MICS3\tmp3.sav'
 /break = hl5
 /tt04i = sum(t04i).

aggregate outfile = 'C:\BiH\MICS3\tmp4.sav'
  /break  = total
  /tt04i = sum(t04i).

get file = 'C:\BiH\MICS3\tmp3.sav'.
add files
  /file = *
  /file = 'C:\BiH\MICS3\tmp4.sav'.

sort cases by hl5 total.
save out="C:\BiH\MICS3\tmp3.sav".

get file = 'C:\BiH\MICS3\tmp1.sav'.
match files 
 /file=*
 /table='C:\BiH\MICS3\tmp3.sav'
 /by  hl5 total.

variable label tt07 'Household population of children age 0-7'.
variable label tt04i 'Interviewed children age 0-4'.

compute pelig = (tt04i/tt04)*100.
variable label pelig "Percentage of eligible children interviewed".

tables
  /format = zero
  /observation= tt07 tt04i pelig
  /table= HL5+total by tt07 + tt04i +pelig 
  /statistics
    sum(tt07 (f5.0) 'Number')
    sum(tt04i (f5.0) 'Number')
    spct(tt04i (f5.1) 'Percent')
    means(pelig (f5.1) ' ')
  /title
       "Table DQ.3: Age distribution of eligible and interviewed under-5s"
                       "Household population of children age 0-7, children whose mothers/caratekers were interviewed and percentage of under-5 " +
                       "children whose mothers/caretakers were interviewed (weighted), by five-year age group, Bosnia and Herzegovna, 2005-2006".

new file.
erase file 'C:\BiH\MICS3\tmp1.sav'.
erase file 'C:\BiH\MICS3\tmp2.sav'.
erase file 'C:\BiH\MICS3\tmp3.sav'.
erase file 'C:\BiH\MICS3\tmp4.sav'.
