* open the children file.
get file ="c:/mics/spss/ch.sav".

* calculate the CMC date of interview.
compute cmcdoic = (UF8Y - 1900)*12 + UF8M.
variable label cmcdoic "Date of interview child (CMC)".

* set random number seed.
set seed = 1003.

* calculate CMC date of birth and age (in months).
do if (UF10Y < 9996 and UF10M < 96).
+ compute cdob = (UF10Y - 1900)*12 + UF10M.
else if (UF10Y < 9996).
+ compute aldob = cmcdoic - (UF11*12) - 11.
+ compute audob = cmcdoic - (UF11*12) - 0.
+ compute ldob = (UF10Y - 1900)*12 + 1.
+ compute udob = (UF10Y - 1900)*12 + 12.
+ if (ldob >= aldob & ldob <= audob) cdob = trunc(rv.uniform(ldob,audob)).
+ if (aldob >= ldob & aldob <= udob) cdob = trunc(rv.uniform(aldob,udob)).
+ if (ldob > audob | aldob > udob) cdob = trunc(rv.uniform(aldob,audob)).
else.
+ compute cdob = 9999.
end if.
if (cmcdoic - cdob = 60) cdob = cdob + 1.
if (cdob <> 9999) cage = cmcdoic - cdob.
if (cdob = 9999) cage = UF11*12 + trunc(rv.uniform(0.00,11.99)).
variable label cage "Age (months)".
variable label cdob "Date of birth (CMC)".
missing values cdob (9999).

* recode age in months into 6 or 12 month groups.
recode cage (0 thru 5 = 1) (6 thru 11 = 2) (12 thru 23 = 3) (24 thru 35 = 4) 
  (36 thru 47 = 5) (48 thru 59 = 6) into cage_6.
variable label cage_6 "Age".
value label cage_6
  1 "< 6 months"
  2 "6-11 months"
  3 "12-23 months"
  4 "24-35 months"
  5 "36-47 months"
  6 "48-59 months".

* recode age in months into 12 month groups.
recode cage (0 thru 11 = 1) (12 thru 23 = 2) (24 thru 35 = 3) (36 thru 47 = 4) 
  (48 thru 59 = 5) into cage_11.
variable label cage_11 "Age".
value label cage_11
  1 "0-11 months"
  2 "12-23 months"
  3 "24-35 months"
  4 "36-47 months"
  5 "48-59 months".

* education level.
recode ED3A (1 = 2) (2,3 = 3) (6 = 4) (8,9 = 9) (else = 1) into melevel.
variable label melevel "Mother's education level".
value label melevel
  1 "None"
  2 "Primary"
  3 "Secondary"
  4 "Non-standard curriculum"
  9 "Missing/DK".

* BCG.
compute bcg = 3.
if ((IM2D >= 1 and IM2D <= 31) or IM2D = 44 or IM2D >= 97) bcg = 1.
if (IM2D = 66 or IM11 = 1) bcg = 2.
variable label bcg "BCG".
value label bcg 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* polio 0.
*	compute polio0 = 3.
*	if ((IM3AD >= 1 and IM3AD <= 31) or IM3AD = 44 or IM3AD >= 97) polio0 = 1.
*	if (IM3AD = 66 or IM13 = 1) polio0 = 2.
*	variable label polio0 "Polio 0".
*	value label polio0 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* polio 1.
compute polio1 = 3.
if ((IM3BD >= 1 and IM3BD <= 31) or IM3BD = 44 or IM3BD >= 96) polio1 = 1.
if (IM3BD = 66 or (IM12 = 1)
  or (IM12 = 1 and IM14 >= 2 and IM14 < 96)) polio1 = 2.
variable label polio1 "Polio 1".
value label polio1 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* polio 2.
compute polio2 = 3.
if ((IM3CD >= 1 and IM3CD <= 31) or IM3CD = 44 or IM3CD >= 96) polio2 = 1.
if (IM3CD = 66 or (IM12 = 1 and IM14 >= 2 and IM14 < 96) 
  or (IM12 = 1 and IM14 >= 3 and IM14 < 96)) polio2 = 2.
variable label polio2 "Polio 2".
value label polio2 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* polio 3.
compute polio3 = 3.
if ((IM3DD >= 1 and IM3DD <= 31) or IM3DD = 44 or IM3DD >= 96) polio3 = 1.
if (IM3DD = 66 or (IM12 = 1 and IM14 >= 3 and IM14 <= 19) 
  or (IM12 = 1 and IM14 >= 4 and IM14 <= 19)) polio3 = 2.
variable label polio3 "Polio 3".
value label polio3 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* DPT1.
compute dpt1 = 3.
if ((IM4AD >= 1 and IM4AD <= 31) or IM4AD = 44 or IM4AD >= 96) dpt1 = 1.
if (IM4AD = 66 or IM15 = 1) dpt1 = 2.
variable label dpt1 "DPT1".
value label dpt1 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* DPT2.
compute dpt2 = 3.
if ((IM4BD >= 1 and IM4BD <= 31) or IM4BD = 44 or IM4BD >= 96) dpt2 = 1.
if (IM4BD = 66 or (IM15 = 1 and IM16 >= 2 and IM16 < 96)) dpt2 = 2.
variable label dpt2 "DPT2".
value label dpt2 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* DPT3.
compute dpt3 = 3.
if ((IM4CD >= 1 and IM4CD <= 31) or IM4CD = 44 or IM4CD >= 96) dpt3 = 1.
if (IM4CD = 66 or (IM15 = 1 and IM16 >= 3 and IM16 < 96)) dpt3 = 2.
variable label dpt3 "DPT3".
value label dpt3 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* HepB1 (or DPTepB1).
compute hepb1 = 3.
if ((IM5AD >= 1 and IM5AD <= 31) or IM5AD = 44 or IM5AD >= 96) hepb1 = 1.
if (IM5AD = 66 ) hepb1 = 2.
variable label hepb1 "HepB1".
value label hepb1 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* HepB2 (or DPTepB2).
compute hepb2 = 3.
if ((IM5BD >= 1 and IM5BD <= 31) or IM5BD = 44 or IM5BD >= 96) hepb2 = 1.
if (IM5BD = 66)  hepb2 = 2.
variable label hepb2 "HepB2".
value label hepb2 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* HepB3 (or DPTepB3).
compute hepb3 = 3.
if ((IM5CD >= 1 and IM5CD <= 31) or IM5CD = 44 or IM5CD >= 96) hepb3 = 1.
if (IM5CD = 66 ) hepb3 = 2.
variable label hepb3 "HepB3".
value label hepb3 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* Measles (MMR).
compute measles = 3.
if ((IM6D >= 1 and IM6D <= 31) or IM6D = 44 or IM6D >= 96) measles = 1.
if (IM6D = 66 or IM17 = 1) measles = 2.
variable label measles  "Measles (or MMR)".
value label measles 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* Yellow Fever.
*	compute yf = 3.
*	if ((IM7D >= 1 and IM7D <= 31) or IM7D = 44 or IM7D >= 96) yf = 1.
*	if (IM7D = 66 or IM18 = 1) yf = 2.
*	variable label yf "Yellow Fever".
*	value label  yf 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* Vitamin A 1.
*	compute vat1 = 3.
*	if ((IM8AD >= 1 and IM8AD <= 31) or IM8AD = 44 or IM8AD >= 96) vat1 = 1.
*	if (IM8AD = 66 ) vat1 = 2.
*	variable label vat1 "Vitamin A (1)".
*	value label vat1 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* Vitamin A 2.
*	compute vat2 = 3.
*	if ((IM8BD >= 1 and IM8BD <= 31) or IM8BD = 44 or IM8BD >= 96) vat2 = 1.
*	if (IM8BD = 66 ) vat2 = 2.
*	variable label vat2 "Vitamin A (2)".
*	value label vat2 1 "Vaccination Card" 2 "Mother's Report" 3 "Not vaccinated".

* all vaccinations.
do if (bcg = 3 or measles = 3 or dpt1 = 3 or dpt2 = 3 or dpt3 = 3 or polio1 = 3 
  or polio2 = 3 or polio3 = 3).
+  compute allvacc = 3.
else if (bcg = 1 & measles = 1 & dpt1 = 1 & dpt2 = 1 & dpt3 = 1 & polio1 = 1 & 
  polio2 = 1 & polio3 = 1).
+  compute allvacc = 1.
else.
+  compute allvacc = 2.
end if.
variable label allvacc "All vaccinations".
value label allvacc 
	1 "Vaccination Card" 
	2 "Mother's Report"
	3 "Doesn't have all vaccinations".

* no vaccinations.
compute novacc = 3.
do if (bcg = 3 &  measles = 3 & dpt1 = 3 & dpt2 = 3 & dpt3 = 3 & polio1 = 3 & 
  polio2 = 3 & polio3 = 3).
+  if (IM1 = 1) novacc = 1.
+  if (IM1 <> 1) novacc = 2.
end if.
variable label novacc "No vaccinations".
value label novacc 
	1 "Vaccination Card"
	2 "Mother's Report"
	3 "Has some vaccinations".

* child has vaccination card.
recode IM1 (1 = 1) (else = 2) into hasvcard.
variable label hasvcard 'Has vaccination card'.
value label hasvcard 
	1 "Yes"
	2 "No".

* diarrhea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable label diarrhea "Had diarrhea in last two weeks".

* ARI in the last 2 weeks.
compute ari  = 0.
if ((CA7 =1 or CA7 = 3) and CA5 = 1 and CA6 = 1) ari = 100.
variable label ari "Had acute respitory infection".

* fever in the last 2 weeks.
*	recode ML1 (1 = 100) (else = 0) into fever.
*	variable label fever "Had a fever in last two weeks".

* save the children's file.
save outfile ="c:/mics/spss/ch.sav".
