*create a weights file for each unit of analysis.
get file = 'c:/MICS/spss/weights.sav'.

sort cases by stratum.

save outfile = 'c:/MICS/spss/hhwgt.sav'
  /keep stratum HHWEIGHT.

save outfile = 'c:/MICS/spss/hlwgt.sav'
  /keep stratum HHWEIGHT.

save outfile = 'c:/MICS/spss/wmwgt.sav'
  /keep stratum WMWEIGHT.

save outfile = 'c:/MICS/spss/chwgt.sav'
  /keep stratum CHWEIGHT.

*add household weights to the household file.
get file = 'c:/MICS/spss/hh.sav'.

*** Choose the stratum definition that fits your sample ***.
* Strata defined by area and region.
* ASSUMPTIONS: HH6 in 1 to 2, HH7 in 1 to 4.
* CHANGES: If you have n regions, change 4 below to n.
*compute stratum = (HH6-1)*4 + HH7.
* Strata define by region
* compute stratum = HH7.

sort cases by stratum.

match files
  /file = *
  /table = 'c:/MICS/spss/hhwgt.sav'
  /by stratum.

if (HH9 <> 1) HHWEIGHT = 0.

save outfile = 'c:/MICS/spss/hh.sav'.

*add household weights to the household listing file.
get file = 'c:/MICS/spss/hl.sav'.

*** Choose the stratum definition that fits your sample ***.
* Strata defined by area and region.
* ASSUMPTIONS: HH6 in 1 to 2, HH7 in 1 to 4.
* CHANGES: If you have n regions, change 4 below to n.
*compute stratum = (HH6-1)*4 + HH7.
* Strata define by region
* compute stratum = HH7.

sort cases by stratum.

match files
  /file = *
  /table = 'c:/MICS/spss/hlwgt.sav'
  /by stratum.

save outfile = 'c:/MICS/spss/hl.sav'.

*add women's weights to the women file.
get file = 'c:/MICS/spss/wm.sav'.

*** Choose the stratum definition that fits your sample ***.
* Strata defined by area and region.
* ASSUMPTIONS: HH6 in 1 to 2, HH7 in 1 to 4.
* CHANGES: If you have n regions, change 4 below to n.
*compute stratum = (HH6-1)*4 + HH7.
* Strata define by region
* compute stratum = HH7.

sort cases by stratum.

match files
  /file = *
  /table = 'c:/MICS/spss/wmwgt.sav'
  /by stratum.

if (WM7 <> 1) WMWEIGHT = 0.

save outfile = 'c:/MICS/spss/wm.sav'.

*add children's weights to the children file.
get file = 'c:/MICS/spss/ch.sav'.

*** Choose the stratum definition that fits your sample ***.
* Strata defined by area and region.
* ASSUMPTIONS: HH6 in 1 to 2, HH7 in 1 to 4.
* CHANGES: If you have n regions, change 4 below to n.
*compute stratum = (HH6-1)*4 + HH7.
* Strata define by region
* compute stratum = HH7.

sort cases by stratum.

match files
  /file = *
  /table = 'c:/MICS/spss/chwgt.sav'
  /by stratum.

if (UF9 <> 1) CHWEIGHT = 0.

save outfile = 'c:/MICS/spss/ch.sav'.

*delete working files.
new file.
erase file = 'c:/MICS/spss/hhwgt.sav'.
erase file = 'c:/MICS/spss/hlwgt.sav'.
erase file = 'c:/MICS/spss/wmwgt.sav'.
erase file = 'c:/MICS/spss/chwgt.sav'.
